cpw.mods.fml.relauncher

## Class RelaunchClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - cpw.mods.fml.relauncher.RelaunchClassLoader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class RelaunchClassLoader
      extends URLClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelaunchClassLoader(URL[] sources)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addURL(URL url)`
    `Class<?>` | `findClass(String name)`
    `byte[]` | `getClassBytes(String name)`
    `List<URL>` | `getSources()`
    `List<IClassTransformer>` | `getTransformers()`
    `void` | `registerTransformer(String transformerClassName)`

    - ### Methods inherited from class java.net.URLClassLoader

      `close, findResource, findResources, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelaunchClassLoader

          public RelaunchClassLoader(URL[] sources)

  - ### Method Detail

    - #### registerTransformer

          public void registerTransformer(String transformerClassName)

    - #### findClass

          public Class<?> findClass(String name)
                             throws ClassNotFoundException

      Overrides:
        `findClass` in class `URLClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### addURL

          public void addURL(URL url)

      Overrides:
        `addURL` in class `URLClassLoader`

    - #### getSources

          public List<URL> getSources()

    - #### getTransformers

          public List<IClassTransformer> getTransformers()

    - #### getClassBytes

          public byte[] getClassBytes(String name)
                               throws IOException

      Throws:
        `IOException`